%define pkgname Chameleon

Name:           python-chameleon
Version:        1.2.13
Release:        1%{?dist}
Summary:        XML-based template compiler

Group:          Development/Libraries
License:        BSD
URL:            http://chameleon.repoze.org
Source0:        %{pkgname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Patch0:         %{name}-setup.patch
Patch1:         %{name}-py27.patch

BuildRequires:  python-setuptools-devel
BuildRequires:  python-zope-interface
BuildRequires:  python-zope-component
BuildRequires:  python-zope-i18n
BuildRequires:  python-lxml

Requires:       python-lxml

%description
Chameleon compiles templates to Python byte-code. It includes a complete
implementation of the Zope Page Templates (ZPT) language and a partial
implementation of the Genshi language.

The engine itself performs 10-15 times better than the reference implementation
and real-world benchmarks show an overall performance improvement in complex
applications of 30-50%.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -b .setup
%patch1 -b .py27

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt
%{_bindir}/i18nize
%{python_sitelib}/*

%changelog
* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 1.2.13-1
- Initial package
